package spring;

import static org.junit.Assert.*;
import static org.junit.Assert.assertNotNull;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.PropertyPlaceholderConfigurer;
import org.springframework.context.ApplicationContext;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.AbstractJUnit4SpringContextTests;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;



@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations={
        "/originalApplicationContext.xml"
})
public class OriginalSpringPropertiesTest extends AbstractJUnit4SpringContextTests {
    
    @Autowired
    protected ApplicationContext applicationContext;
    

    @Test
    public void some(){
        Object o = applicationContext.getBean("placeholderConfigMM");
        assertNotNull(o);
        
        assertEquals("shouldExist",SpringPropertiesUtil.getProperty("myProp"));
    
    }
    

}
